select country
      ,product
      ,year
      ,round(units_sold,0) units_sold
from sales_mview
where country in ('Australia','Canada')
  and product in ('Mouse Pad','Deluxe Mouse')
model return updated rows
  partition by (country)
  dimension by (product,year)
  measures (tot_sales units_sold)
  rules (
    units_sold['Mouse Pad',2002] = units_sold['Mouse Pad',2001] * 1.1
   ,units_sold['Deluxe Mouse',2002] = units_sold['Deluxe Mouse',2001] * 1.3
   )
order by country
        ,product
        ,year
/
