select provinceid,orderyr,sum(totvalues) totvalues
  from (
SELECT provinceid, productid, orderyr, round(totvalues,0) totvalues
 FROM provinceorders
 where productid = 1
   and provinceid between 10 and 16
 MODEL RETURN ALL ROWS
  PARTITION BY (provinceid)
  DIMENSION BY (productid, orderyr)
  MEASURES (totvalue totvalues)
  RULES (totvalues[1, 2008] = totvalues[1, 2007] + nvl(totvalues[1,2008],0),
         totvalues[1, 2009] = totvalues[1,2008] * 1.1,
         totvalues[1, 2010] = totvalues[1,2009] * 1.1)
         )
 GROUP BY provinceid,orderyr
 ORDER BY provinceid,orderyr