create or replace function salesPrediction (provinceid number)
 return number
is
  increaseRate number(3,2) := 1.00;
begin
  case when mod(provinceid,2) = 0 
       then increaseRate := increaseRate + .2;
       when provinceid in (1,11,21) 
       then increaseRate := increaseRate + .15;
       when provinceid in (3,13,23) 
       then increaseRate := increaseRate - .15;
    else increaseRate := 1.01;
  end case;

  return increaseRate;
end;
/
