select mycountry,myproduct,myyear,myqty,mysales
from sales_mview
where country in ('Australia','Canada')
model 
 partition by (country mycountry)
 dimension by (product myproduct,year myyear)
 measures (tot_qty myqty,tot_sales mysales)
 rules (mysales[for myproduct in (select distinct substr(prod_name,1,15) from sh.products),for myyear from 2000 to 2005 increment 1] = mysales[cv(),cv()])
/
