select provinceid,orderyr,sum(totvalues) totvalues
  from (
SELECT provinceid, productid, orderyr, round(totvalues,0) totvalues
 FROM provinceorders
 where productid = 1
   and provinceid between 10 and 16
 MODEL RETURN ALL ROWS
  PARTITION BY (provinceid)
  DIMENSION BY (productid, orderyr)
  MEASURES (totvalue totvalues)
  RULES (totvalues[for productid in (select productid from product) for year in (2004,2005,2006,2007)] = 1.1 * totvalues[cv(productid),cv(orderyr)-1]
         )
 GROUP BY provinceid,orderyr
 ORDER BY provinceid,orderyr
/
